/*
 * LTSView.java
 *
 * Created on 30 July 2007, 00:00
 */

package assignment;

import javax.swing.*;
import java.awt.*;

/** This is the base LTSView/Edit class. It doesnt do much on its own.
 *
 * @author David
 */
public class LTSView extends JPanel{
    protected LTS theLTS;
    protected int currentTool;
    
    /** Sets the LTS to display/edit
     * @param anLTS the LTS to display/edit
     */
    public void setLTS(LTS anLTS) {
        theLTS = anLTS;
    }
    
    /** Returns the current LTS
     * @returns The current LTS
     */
    public LTS getLTS() {
        return theLTS;
    }
    
    /** Sets the current tool for subclasses that support it.
     * @param tool The tool number to set. The meaning of the tool number depends
     *  on the class implementing the tool
     */
    public void setTool(int tool) {
        currentTool = tool;
    }
    
    /** Returns the currentt tool
     * @returns The current tool
     */
    public int getTool() {
        return currentTool;
    }
    
    /** Renders the LTS
     */
    public void renderLTS() {
        getGraphics().drawString("LTSView Panel Base Class: You shouldnt be creating an instance of this.",00,20);
    }
    
    /** Does one rendering iteration where appropriate
     */
    public double iterate() {
        // do nothing - we dont need it here.
        return 0;
    }
    
    /** Performs setup operations required before rendering.
     */
    public void setup() {
        // do nothing - we dont need it here.
    }
    
    /** Flushes any changes made back to the LTS. This should be called before
     * any modified LTS is saved otherwise most of the changes wont be saved.
     */
    public void flushChanges() {
        // Do nothing here
    }
}
